# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/philipp/programing/QCodeEditor

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/philipp/programing/QCodeEditor/build

# Include any dependencies generated for this target.
include CMakeFiles/QCodeEditor.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/QCodeEditor.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/QCodeEditor.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/QCodeEditor.dir/flags.make

QCodeEditor_autogen/timestamp: /usr/lib/qt6/moc
QCodeEditor_autogen/timestamp: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic MOC for target QCodeEditor"
	/usr/bin/cmake -E cmake_autogen /home/philipp/programing/QCodeEditor/build/CMakeFiles/QCodeEditor_autogen.dir/AutogenInfo.json ""
	/usr/bin/cmake -E touch /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/timestamp

QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /home/philipp/programing/QCodeEditor/resources/qcodeeditor_resources.qrc
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: CMakeFiles/QCodeEditor_autogen.dir/AutoRcc_qcodeeditor_resources_3YJK5W5UP7_Info.json
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /home/philipp/programing/QCodeEditor/resources/default_style.xml
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /home/philipp/programing/QCodeEditor/resources/languages/python.xml
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /home/philipp/programing/QCodeEditor/resources/languages/glsl.xml
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /home/philipp/programing/QCodeEditor/resources/languages/cpp.xml
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /home/philipp/programing/QCodeEditor/resources/languages/lua.xml
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /usr/lib/qt6/rcc
QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp: /usr/lib/qt6/rcc
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Automatic RCC for resources/qcodeeditor_resources.qrc"
	/usr/bin/cmake -E cmake_autorcc /home/philipp/programing/QCodeEditor/build/CMakeFiles/QCodeEditor_autogen.dir/AutoRcc_qcodeeditor_resources_3YJK5W5UP7_Info.json 

CMakeFiles/QCodeEditor.dir/codegen:
.PHONY : CMakeFiles/QCodeEditor.dir/codegen

CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o: QCodeEditor_autogen/mocs_compilation.cpp
CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o -MF CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o -c /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/mocs_compilation.cpp

CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/mocs_compilation.cpp > CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.i

CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/mocs_compilation.cpp -o CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QCodeEditor.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QCodeEditor.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QCodeEditor.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QCodeEditor.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QLineNumberArea.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QLineNumberArea.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QLineNumberArea.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QLineNumberArea.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QCXXHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QCXXHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QCXXHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QCXXHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QSyntaxStyle.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QSyntaxStyle.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QSyntaxStyle.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QSyntaxStyle.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QStyleSyntaxHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QStyleSyntaxHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QStyleSyntaxHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QStyleSyntaxHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QGLSLCompleter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QGLSLCompleter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QGLSLCompleter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QGLSLCompleter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QGLSLHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QGLSLHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QGLSLHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QGLSLHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QLanguage.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QLanguage.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QLanguage.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QLanguage.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QXMLHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_12) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QXMLHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QXMLHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QXMLHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QJSONHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_13) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QJSONHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QJSONHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QJSONHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QLuaCompleter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_14) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QLuaCompleter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QLuaCompleter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QLuaCompleter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QLuaHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_15) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QLuaHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QLuaHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QLuaHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QPythonCompleter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_16) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QPythonCompleter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QPythonCompleter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QPythonCompleter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QPythonHighlighter.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_17) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QPythonHighlighter.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QPythonHighlighter.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QPythonHighlighter.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.s

CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o: /home/philipp/programing/QCodeEditor/src/internal/QFramedTextAttribute.cpp
CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_18) "Building CXX object CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o -MF CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o.d -o CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o -c /home/philipp/programing/QCodeEditor/src/internal/QFramedTextAttribute.cpp

CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/src/internal/QFramedTextAttribute.cpp > CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.i

CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/src/internal/QFramedTextAttribute.cpp -o CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.s

CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o: CMakeFiles/QCodeEditor.dir/flags.make
CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o: QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp
CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o: CMakeFiles/QCodeEditor.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_19) "Building CXX object CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o -MF CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o.d -o CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o -c /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp

CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp > CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.i

CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/philipp/programing/QCodeEditor/build/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp -o CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.s

# Object files for target QCodeEditor
QCodeEditor_OBJECTS = \
"CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o" \
"CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o" \
"CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o"

# External object files for target QCodeEditor
QCodeEditor_EXTERNAL_OBJECTS =

libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/mocs_compilation.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QCodeEditor.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QLineNumberArea.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QCXXHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QSyntaxStyle.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QStyleSyntaxHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QGLSLCompleter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QGLSLHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QLanguage.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QXMLHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QJSONHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QLuaCompleter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QLuaHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QPythonCompleter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QPythonHighlighter.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/src/internal/QFramedTextAttribute.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp.o
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/build.make
libQCodeEditor.a: CMakeFiles/QCodeEditor.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/philipp/programing/QCodeEditor/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_20) "Linking CXX static library libQCodeEditor.a"
	$(CMAKE_COMMAND) -P CMakeFiles/QCodeEditor.dir/cmake_clean_target.cmake
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/QCodeEditor.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/QCodeEditor.dir/build: libQCodeEditor.a
.PHONY : CMakeFiles/QCodeEditor.dir/build

CMakeFiles/QCodeEditor.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/QCodeEditor.dir/cmake_clean.cmake
.PHONY : CMakeFiles/QCodeEditor.dir/clean

CMakeFiles/QCodeEditor.dir/depend: QCodeEditor_autogen/3YJK5W5UP7/qrc_qcodeeditor_resources.cpp
CMakeFiles/QCodeEditor.dir/depend: QCodeEditor_autogen/timestamp
	cd /home/philipp/programing/QCodeEditor/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/philipp/programing/QCodeEditor /home/philipp/programing/QCodeEditor /home/philipp/programing/QCodeEditor/build /home/philipp/programing/QCodeEditor/build /home/philipp/programing/QCodeEditor/build/CMakeFiles/QCodeEditor.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/QCodeEditor.dir/depend

